This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 197448 - Suspend issues on Thinkpad T30 in recent kernels
Suspend issues on Thinkpad T30 in recent kernels
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-01 15:18 EDT by Jason Merrill
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 22:53:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Merrill 2006-07-01 15:18:03 EDT
Description of problem:
Suspend/resume support on Thinkpad T30 has deteriorated in recent kernel releases

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1833_FC4 works fine.
kernel-2.6.16-1.2096_FC4 doesn't suspend if I have a process stopped in gdb.
kernel-2.6.17-1.2139_FC4 suspends fine, but fails to restore the display on
resume. I think it's not switching to text mode before suspending like previous
kernels did.


How reproducible:
100%

Steps to Reproduce:
In all cases, sleeping by echo -n "mem" > /sys/power/state from a script in
/etc/acpi/actions.

Additional info:
I'll probably move to FC5 or 6 soon, and see if the problem persists.
Comment 1 Dave Jones 2006-09-16 22:21:59 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Dave Jones 2006-10-16 14:31:06 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Jason Merrill 2007-02-07 22:53:03 EST
I've moved both to FC6 and a new laptop.  I moved to FC6 on the old laptop
first, and I don't think this bug was still present.

Note You need to log in before you can comment on or make changes to this bug.